 
%define version     1.8.0
%define rel         2

Summary: Graphical diff tool
Name: gtkdiff
Version: %{version}
Release: %mkrel %rel
License:  GPL 
URL: http://home.catv.ne.jp/pp/ginoue/software/gtkdiff
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Patch0: gtkdiff-1.8.0-remove-invalid-comments.patch
BuildRequires: gtk-devel  
BuildRequires: libgnome-devel
BuildRequires: db1-devel
BuildRequires: X11-devel
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gtkdiff is a graphical diff tool. It has diff3 and merge features. 
It's written with GTK+. After gtkdiff-0.8.0, it also requires GNOME. 
Its features are following:
* It has two view modes, one-pane and two-panes.
* Supports directory diff.
* Easy navigation across differences.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
 
%build
%configure2_5x 
 
%install
rm -Rf %{buildroot} 
%makeinstall_std 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 gtkdiff.desktop $RPM_BUILD_ROOT%{_datadir}/applications

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/gtkdiff/gtkdiffrc $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_sysconfdir}/gtkdiffrc $RPM_BUILD_ROOT%{_datadir}/gtkdiff

desktop-file-install --vendor="" \
--add-category="GTK" \
--add-category="GNOME" \
--add-category="Filesystem" \
--add-category="System" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/gtkdiffrc
%{_datadir}/gtkdiff/* 
%{_datadir}/gnome/apps/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8.0-2mdv2008.1
+ Revision: 170317
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 1.8.0-2mdv2008.0
+ Revision: 77208
- fix invalid comments of desktop file
- Import gtkdiff



* Mon Aug 21 2006 Charles A Edwards <eslrahc@mandriva.org> 1.8.0-1mdv2007.0
- first mdv release
